<?php

class CollectionItem implements FilesItemInterface {
    public function __construct(
        protected FilesCollection $collection
    ) {}

    public function getTitleHtml(): ?string { return null; }
    public function getId(): string { return $this->collection->value; }
    public function isFolder(): bool { return true; }
    public function isFile(): bool { return false; }
    public function isAvailable(): bool { return true; }
    public function getUrl(): string {
        return '/files/'.$this->collection->value.'/';
    }
    public function getSize(): ?int { return null; }
    public function getTitle(): string { return lang("files_{$this->collection->value}_collection"); }
    public function getMeta(?string $hl_matched = null): array { return []; }
    public function isTargetBlank(): bool { return false; }
    public function getSubtitle(): ?string { return null; }
}